clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
ModernizeTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "LoopConvertCheck.h"`
`#include "MakeUniqueCheck.h"`
`#include "PassByValueCheck.h"`
`#include "RedundantVoidArgCheck.h"`
`#include "ReplaceAutoPtrCheck.h"`
`#include "ShrinkToFitCheck.h"`
`#include "UseAutoCheck.h"`
`#include "UseDefaultCheck.h"`
`#include "UseNullptrCheck.h"`
`#include "UseOverrideCheck.h"`
Include dependency graph for ModernizeTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::modernize::ModernizeModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Functions
static ClangTidyModuleRegistry::Add < ModernizeModule > | clang::tidy::modernize::X ("modernize-module","Add modernize checks.")

## Variables
volatile int | clang::tidy::ModernizeModuleAnchorSource = 0